package isapi

import (
	"github.com/gin-gonic/gin"
	"github.com/sirupsen/logrus"
	"io/ioutil"
	"lc-fangdaosha/isapi"
)

// 进入区域

type RegionEntranceApi struct{}

// GetRegionEntranceCap  获取单个通道进入区域侦测规则参数配置能力
func (api RegionEntranceApi) GetRegionEntranceCap(c *gin.Context) {
	host, err := GetHost(c)
	if err != nil {
		logrus.Errorf("GetHost err:%s", err.Error())
		return
	}
	isapi.TouChuan(host, isapi.GetRegionEntranceCap, nil, c)
}

// GetSizeRe 获取侦测目标的尺寸
func (api RegionEntranceApi) GetSizeRe(c *gin.Context) {
	host, err := GetHost(c)
	if err != nil {
		logrus.Errorf("GetHost err:%s", err.Error())
		return
	}
	isapi.TouChuan(host, isapi.GetRegionEntranceCal, nil, c)
}

// PutSizeRe 配置侦测目标的尺寸
func (api RegionEntranceApi) PutSizeRe(c *gin.Context) {
	defer c.Request.Body.Close()
	all, err := ioutil.ReadAll(c.Request.Body)
	if err != nil {
		logrus.Errorf("读取数据失败:%e\n", err)
	}
	host, err := GetHost(c)
	if err != nil {
		logrus.Errorf("获取设备连接失败:%e\n", err)
		return
	}
	isapi.TouChuan(host, isapi.PutRegionEntranceCal, all, c)
}

// GetRegionEntrance 获取单个通道进入区域侦测规则
func (api RegionEntranceApi) GetRegionEntrance(c *gin.Context) {
	host, err := GetHost(c)
	if err != nil {
		logrus.Errorf("获取host失败:%s", err.Error())
		return
	}
	isapi.TouChuan(host, isapi.GetRegionEntrance, nil, c)
}

// PutRegionEntrance 配置单个通道进入区域侦测规则
func (api RegionEntranceApi) PutRegionEntrance(c *gin.Context) {
	all, err := ioutil.ReadAll(c.Request.Body)
	if err != nil {
		logrus.Errorf("读取数据失败:%e\n", err)
		return
	}
	host, err := GetHost(c)
	if err != nil {
		logrus.Errorf("获取设备连接失败:%e\n", err)
		return
	}
	isapi.TouChuan(host, isapi.PutFieldDetection, all, c)
}
