package isapi

// Schedule 获取指定通道视频遮盖单个通道布防时间
type Schedule struct {
	ID                  string `xml:"id"`
	EventType           string `xml:"eventType"`
	VideoInputChannelID string `xml:"videoInputChannelID"`
	TimeBlockList       []struct {
		TimeBlock struct {
			DayOfWeek string `xml:"dayOfWeek"`
			TimeRange struct {
				BeginTime string `xml:"beginTime"`
				EndTime   string `xml:"endTime"`
			} `xml:"TimeRange"`
		} `xml:"TimeBlock"`
	} `xml:"TimeBlockList"`
	HolidayBlockList []struct {
		TimeBlock struct {
			TimeRange struct {
				BeginTime string `xml:"beginTime"`
				EndTime   string `xml:"endTime"`
			} `xml:"TimeRange"`
		} `xml:"TimeBlock"`
	} `xml:"HolidayBlockList"`
}

func (c *Client) GetSchedule() ([]byte, error) {
	return c.CommonGet("/ISAPI/Event/schedules/tamperDetections/tamperdetection_video1")
}

func (c *Client) PutSchedule(data []byte) (resp []byte, err error) {
	return c.CommonPut(data, "/ISAPI/Event/schedules/tamperDetections/tamperdetection_video1")
}
