package isapi

type RegionExiting struct {
	ID                   string `xml:"id"`
	Enabled              string `xml:"enabled"`
	NormalizedScreenSize struct {
		NormalizedScreenWidth  string `xml:"normalizedScreenWidth"`
		NormalizedScreenHeight string `xml:"normalizedScreenHeight"`
	} `xml:"normalizedScreenSize"`
	RegionExitingRegionList struct {
		Size                string `xml:"size,attr"`
		RegionExitingRegion []struct {
			ID                    string `xml:"id"`
			SensitivityLevel      string `xml:"sensitivityLevel"`
			RegionCoordinatesList string `xml:"RegionCoordinatesList"`
			DetectionTarget       string `xml:"detectionTarget"`
			AlarmConfidence       struct {
				Opt string `xml:"opt,attr"`
			} `xml:"alarmConfidence"`
		} `xml:"RegionExitingRegion"`
	} `xml:"RegionExitingRegionList"`
	IsSupportMultiScene           string `xml:"isSupportMultiScene"`
	IsSupportHumanMisinfoFilter   string `xml:"isSupportHumanMisinfoFilter"`
	IsSupportVehicleMisinfoFilter string `xml:"isSupportVehicleMisinfoFilter"`
	IsSupportTargetMultiSelect    string `xml:"isSupportTargetMultiSelect"`
}

func (c *Client) GetRegionExiting() ([]byte, error) {
	return c.CommonGet("/ISAPI/Smart/regionExiting/1")
}
func (c *Client) PutRegionExiting(data []byte) ([]byte, error) {
	return c.CommonPut(data, "/ISAPI/Smart/regionExiting/1")
}
