package app

import (
	"lc-fangdaosha/global"
	"time"
)

// CarInfo 结构体
type CarInfo struct {
	global.GVA_MODEL
	PlateNumber string `json:"plateNumber" form:"plateNumber" gorm:"column:plate_number;comment:车牌号;"`
	//CarType     string    `json:"carType" form:"carType" gorm:"column:car_type;comment:车类型;"`
	Long   float64   `json:"long" form:"long" gorm:"column:long;comment:长度;"`
	Width  float64   `json:"width" form:"width" gorm:"column:width;comment:宽度;"`
	Height float64   `json:"height" form:"height" gorm:"column:height;comment:高度;"`
	Time   time.Time `json:"time" form:"time" gorm:"column:time;comment:出现时间;"`
	Count  int       `json:"count" form:"count" gorm:"column:count;comment:出现次数;"`
	Volume float64   `json:"volume" form:"volume" gorm:"column:volume;comment:体积;"`
}

// TableName CarInfo 自定义表名
func (CarInfo) TableName() string {
	return "car_info"
}
